Radix cross Linux

The main Radix cross Linux repository contains the build scripts of packages, which have the most complete and common functionality for desktop machines

452 Commits   2 Branches   1 Tag
Index: jemalloc-config
===================================================================
--- jemalloc-config	(nonexistent)
+++ jemalloc-config	(revision 5)
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+usage() {
+	cat <<EOF
+Usage:
+  /usr/bin/32/jemalloc-config <option>
+Options:
+  --help | -h  : Print usage.
+  --version    : Print jemalloc version.
+  --revision   : Print shared library revision number.
+  --config     : Print configure options used to build jemalloc.
+  --prefix     : Print installation directory prefix.
+  --bindir     : Print binary installation directory.
+  --datadir    : Print data installation directory.
+  --includedir : Print include installation directory.
+  --libdir     : Print library installation directory.
+  --mandir     : Print manual page installation directory.
+  --cc         : Print compiler used to build jemalloc.
+  --cflags     : Print compiler flags used to build jemalloc.
+  --cppflags   : Print preprocessor flags used to build jemalloc.
+  --cxxflags   : Print C++ compiler flags used to build jemalloc.
+  --ldflags    : Print library flags used to build jemalloc.
+  --libs       : Print libraries jemalloc was linked against.
+EOF
+}
+
+prefix="/usr"
+exec_prefix="/usr"
+
+case "$1" in
+--help | -h)
+	usage
+	exit 0
+	;;
+--version)
+	echo "5.2.1"
+	;;
+--revision)
+	echo "2"
+	;;
+--config)
+	echo "--prefix=/usr --libdir=/usr/lib32 --bindir=/usr/bin/32 --docdir=/usr/share/doc/jemalloc-5.2.1 --mandir=/usr/share/man --sysconfdir=/etc --localstatedir=/var --enable-shared=yes --enable-static=no 'CC=/usr/bin/gcc' 'CFLAGS=-I/usr/include -g -O2' 'LDFLAGS=-L/lib32 -L/usr/lib32' CPPFLAGS="
+	;;
+--prefix)
+	echo "/usr"
+	;;
+--bindir)
+	echo "/usr/bin/32"
+	;;
+--datadir)
+	echo "/usr/share"
+	;;
+--includedir)
+	echo "/usr/include"
+	;;
+--libdir)
+	echo "/usr/lib32"
+	;;
+--mandir)
+	echo "/usr/share/man"
+	;;
+--cc)
+	echo "/usr/bin/gcc -m32"
+	;;
+--cflags)
+	echo "-I/usr/include -g -O3 -m32 -fvisibility=hidden"
+	;;
+--cppflags)
+	echo " -D_GNU_SOURCE -D_REENTRANT"
+	;;
+--cxxflags)
+	echo "-I/usr/include -g -O3 -m32 -fvisibility=hidden"
+	;;
+--ldflags)
+	echo "-L/lib32 -L/usr/lib32 "
+	;;
+--libs)
+	echo "-lm -lstdc++ -pthread"
+	;;
+*)
+	usage
+	exit 1
+esac
Index: .
===================================================================
--- .	(nonexistent)
+++ .	(revision 5)

Property changes on: .
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~